help kdevelop

Anything that pertains to Portage

Moderator: Moderators

newbie help please

Postby dmdark » Wed Oct 17, 2007 20:48

hi im new in this, but for reason of school i have installed sabayo, i need use k develop but i cant compile, i have installed kdevelop, libtool, automake, autoconf, and m4, like some friends but they have kubuntu, can someone help me to use kdevelop please, remember im super newbie can u tell me step by step how to install, or if u know how to fix this please i need it.

i have this error when i run automake and friends

cd '/home/sabayonuser/hello' && WANT_AUTOCONF_2_5="1" WANT_AUTOMAKE_1_6="1" gmake -f Makefile.cvs
aclocal
/usr/share/aclocal/gtkgl.m4:4: warning: underquoted definition of AM_PATH_GTKGL
/usr/share/aclocal/gtkgl.m4:4: run info '(automake)Extending aclocal'
/usr/share/aclocal/gtkgl.m4:4: or see http://sources.redhat.com/automake/auto ... ng-aclocal
autoheader
automake
autoconf
*** Success ***

but say success

and when i run .. run and configure

checking for correct ltmain.sh version... no
configure: error:

*** [Gentoo] sanity check failed! ***
*** libtool.m4 and ltmain.sh have a version mismatch! ***
*** (libtool.m4 = 1.5.24, ltmain.sh = 1.5a) ***

Please run:

libtoolize --copy --force

if appropriate, please contact the maintainer of this
package (or your distribution) for help.

*** Exited with status: 1 ***

and i cant compile

if i go to terminal and run libtoolize --copy --force i obtain this

localhost libltdl # libtoolize --copy --force
You should update your `aclocal.m4' by running aclocal.
You should update your `aclocal.m4' by running aclocal.

if y try to run aclocal i obtain this

localhost libltdl # aclocal
acinclude.m4:6593: the serial number must appear before any macro definition
/usr/share/aclocal/gtkgl.m4:4: warning: underquoted definition of AM_PATH_GTKGL
/usr/share/aclocal/gtkgl.m4:4: run info '(automake)Extending aclocal'
/usr/share/aclocal/gtkgl.m4:4: or see http://sources.redhat.com/automake/auto ... ng-aclocal

i dont know what i have to do ?,please someone can help me please
dmdark
Baby Hen
 
Posts: 7
Joined: Mon Oct 01, 2007 20:51

help kdevelop

Postby dmdark » Thu Oct 18, 2007 9:09

hi im new in this, but for reason of school i have installed sabayo, i need use k develop but i cant compile, i have installed kdevelop, libtool, automake, autoconf, and m4, like some friends but they have kubuntu, can someone help me to use kdevelop please, remember im super newbie can u tell me step by step how to install, or if u know how to fix this please i need it.

i have this error when i run automake and friends

cd '/home/sabayonuser/hello' && WANT_AUTOCONF_2_5="1" WANT_AUTOMAKE_1_6="1" gmake -f Makefile.cvs
aclocal
/usr/share/aclocal/gtkgl.m4:4: warning: underquoted definition of AM_PATH_GTKGL
/usr/share/aclocal/gtkgl.m4:4: run info '(automake)Extending aclocal'
/usr/share/aclocal/gtkgl.m4:4: or see http://sources.redhat.com/automake/auto ... ng-aclocal
autoheader
automake
autoconf
*** Success ***

but say success

and when i run .. run and configure

checking for correct ltmain.sh version... no
configure: error:

*** [Gentoo] sanity check failed! ***
*** libtool.m4 and ltmain.sh have a version mismatch! ***
*** (libtool.m4 = 1.5.24, ltmain.sh = 1.5a) ***

Please run:

libtoolize --copy --force

if appropriate, please contact the maintainer of this
package (or your distribution) for help.

*** Exited with status: 1 ***

and i cant compile

if i go to terminal and run libtoolize --copy --force i obtain this

localhost libltdl # libtoolize --copy --force
You should update your `aclocal.m4' by running aclocal.
You should update your `aclocal.m4' by running aclocal.

if y try to run aclocal i obtain this

localhost libltdl # aclocal
acinclude.m4:6593: the serial number must appear before any macro definition
/usr/share/aclocal/gtkgl.m4:4: warning: underquoted definition of AM_PATH_GTKGL
/usr/share/aclocal/gtkgl.m4:4: run info '(automake)Extending aclocal'
/usr/share/aclocal/gtkgl.m4:4: or see http://sources.redhat.com/automake/auto ... ng-aclocal

i dont know what i have to do ?,please someone can help me please
dmdark
Baby Hen
 
Posts: 7
Joined: Mon Oct 01, 2007 20:51

help kdevelop

Postby dmdark » Thu Oct 18, 2007 9:12

hi im new in this, but for reason of school i have installed sabayo, i need use k develop but i cant compile, i have installed kdevelop, libtool, automake, autoconf, and m4, like some friends but they have kubuntu, can someone help me to use kdevelop please, remember im super newbie can u tell me step by step how to install, or if u know how to fix this please i need it.

i have this error when i run automake and friends

cd '/home/sabayonuser/hello' && WANT_AUTOCONF_2_5="1" WANT_AUTOMAKE_1_6="1" gmake -f Makefile.cvs
aclocal
/usr/share/aclocal/gtkgl.m4:4: warning: underquoted definition of AM_PATH_GTKGL
/usr/share/aclocal/gtkgl.m4:4: run info '(automake)Extending aclocal'
/usr/share/aclocal/gtkgl.m4:4: or see http://sources.redhat.com/automake/auto ... ng-aclocal
autoheader
automake
autoconf
*** Success ***

but say success

and when i run .. run and configure

checking for correct ltmain.sh version... no
configure: error:

*** [Gentoo] sanity check failed! ***
*** libtool.m4 and ltmain.sh have a version mismatch! ***
*** (libtool.m4 = 1.5.24, ltmain.sh = 1.5a) ***

Please run:

libtoolize --copy --force

if appropriate, please contact the maintainer of this
package (or your distribution) for help.

*** Exited with status: 1 ***

and i cant compile

if i go to terminal and run libtoolize --copy --force i obtain this

localhost libltdl # libtoolize --copy --force
You should update your `aclocal.m4' by running aclocal.
You should update your `aclocal.m4' by running aclocal.

if y try to run aclocal i obtain this

localhost libltdl # aclocal
acinclude.m4:6593: the serial number must appear before any macro definition
/usr/share/aclocal/gtkgl.m4:4: warning: underquoted definition of AM_PATH_GTKGL
/usr/share/aclocal/gtkgl.m4:4: run info '(automake)Extending aclocal'
/usr/share/aclocal/gtkgl.m4:4: or see http://sources.redhat.com/automake/auto ... ng-aclocal

i dont know what i have to do ?,please someone can help me please
dmdark
Baby Hen
 
Posts: 7
Joined: Mon Oct 01, 2007 20:51

Re: help kdevelop

Postby wolfden » Thu Oct 18, 2007 21:38

I hope you are following and using the package manager
http://wiki.sabayonlinux.org/index.php? ... tage_Guide
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: help kdevelop

Postby wolfden » Thu Oct 18, 2007 21:57

DO not make the same post several times all over the forum! Good grief, how is any one suppose to help if you don't stay in one post?!! It doesn't take a rocket scientist to figure out how a forum works.
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: help kdevelop

Postby dmdark » Fri Oct 19, 2007 8:19

thansk bro, this is how to install i have installed but i dont know if i havee to install another program for fix mi program or how to install the same library version ?? if ltmain.sh is not in the database just libtool and when i install is the latest version but thanks
dmdark
Baby Hen
 
Posts: 7
Joined: Mon Oct 01, 2007 20:51


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest